Bug 243157 - lang/rust build of rust-1.40.0 failed with bootstrap/Cargo.toml --frozen
Summary: lang/rust build of rust-1.40.0 failed with bootstrap/Cargo.toml --frozen
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: FreeBSD Rust Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-07 11:50 UTC by p5B2E9A8F
Modified: 2020-01-13 18:37 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (rust)


Attachments
Poudriere build log file (48.92 KB, text/plain)
2020-01-07 11:50 UTC, p5B2E9A8F
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description p5B2E9A8F 2020-01-07 11:50:44 UTC
Created attachment 210499 [details]
Poudriere build log file

extracting cargo-0.40.0-i686-unknown-freebsd/cargo/bin/cargo
  extracting cargo-0.40.0-i686-unknown-freebsd/cargo/share/zsh/site-functions/_cargo
running: /wrkdirs/usr/ports/lang/rust/work/rustc-1.40.0-src/build/i686-unknown-freebsd/stage0/bin/cargo build --manifest-path /wrkdirs/usr/ports/lang/rust/work/rustc-1.40.0-src/src/bootstrap/Cargo.toml --frozen
Traceback (most recent call last):
  File "/wrkdirs/usr/ports/lang/rust/work/rustc-1.40.0-src/x.py", line 11, in <module>
    bootstrap.main()
  File "/wrkdirs/usr/ports/lang/rust/work/rustc-1.40.0-src/src/bootstrap/bootstrap.py", line 909, in main
    bootstrap(help_triggered)
  File "/wrkdirs/usr/ports/lang/rust/work/rustc-1.40.0-src/src/bootstrap/bootstrap.py", line 880, in bootstrap
    build.build_bootstrap()
  File "/wrkdirs/usr/ports/lang/rust/work/rustc-1.40.0-src/src/bootstrap/bootstrap.py", line 675, in build_bootstrap
    run(args, env=env, verbose=self.verbose)
  File "/wrkdirs/usr/ports/lang/rust/work/rustc-1.40.0-src/src/bootstrap/bootstrap.py", line 141, in run
    raise RuntimeError(err)
RuntimeError: failed to run: /wrkdirs/usr/ports/lang/rust/work/rustc-1.40.0-src/build/i686-unknown-freebsd/stage0/bin/cargo build --manifest-path /wrkdirs/usr/ports/lang/rust/work/rustc-1.40.0-src/src/bootstrap/Cargo.toml --frozen
*** Error code 1

Stop.
make: stopped in /usr/ports/lang/rust

For a complete Poudriere build log see attached file.
Note that IPv6 is disabled. Not sure if relevant here.
Comment 1 Tobias Kortkamp freebsd_committer 2020-01-07 16:16:44 UTC
The Rust bootstraps currently need COMPAT_FREEBSD10 and COMPAT_FREEBSD11.
Do you still have them in your kernel config?
Comment 2 p5B2E9A8F 2020-01-07 20:35:53 UTC
(In reply to Tobias Kortkamp from comment #1)
Really nice hint! I'm impressed.

Rust is now building with COMPAT_FREEBSD11, still in progress ...
looks like that is sufficient.

Can you give me some background on this problem?
I think that any COMPAT requirement *should* not be the case? Am I wrong about trhat?
Comment 3 Guido Falsi freebsd_committer 2020-01-08 10:00:59 UTC
(In reply to Tobias Kortkamp from comment #1)

Thanks, this fixed the issue for me.
Comment 4 Jan Beich freebsd_committer 2020-01-09 02:58:32 UTC
(In reply to p5B2E9A8F from comment #2)
> Can you give me some background on this problem?

See https://github.com/rust-lang/libc/issues/570

COMPAT_FREEBSD11 only works thanks to the following:
https://github.com/rust-lang/libc/commit/78f93220d70e
https://github.com/rust-lang/libc/commit/969ad2b73cdc
Comment 5 Tobias Kortkamp freebsd_committer 2020-01-09 08:24:38 UTC
Assuming you have not discarded the kernels without COMPAT_FREEBSD11 yet,
can either of you test the patch at https://reviews.freebsd.org/D23100 that
attempts to add a better error message to lang/rust for this?